---
# YAML definition for Numeric Attribute
- library: '&IDL_MochaBaseSystem;'
  instances:
  - class:  '&IDC_NumericAttribute;'
    inherits:     '&IDC_Attribute;'
    name:      Numeric Attribute
    index:     20
    customTagName: 'numericAttribute'
    superclasses:
    - instance: '&IDC_Attribute;'
    - instance: '&IDC_ExecutableReturningAttribute;'
    attributes:
    - instance: '&IDA_Name;'
      customTagName: 'name'
    - instance: '&IDA_Value;'
      customTagName: 'value'
    - instance: '&IDA_MaximumValueNumeric;'
      customTagName: 'maximumValue'
    - instance: '&IDA_MinimumValueNumeric;'
      customTagName: 'minimumValue'
    - instance: '&IDA_DecimalPositions;'
      customTagName: 'decimalPositions'
    defaultTask: '&IDI_Task_NumericAttribute_View;'
    relatedTasks:
    - instance: '&IDI_Task_NumericAttribute_View;'
    - instance: '&IDI_Task_NumericAttribute_Edit;'

  - numericAttribute: '&IDA_DecimalPositions;'
    name:         'Decimal Positions'
    index:        3
  - numericAttribute: '&IDA_MaximumLength;'
    name:         'Maximum Length'
    index:        4
  - numericAttribute: '&IDA_MinimumLength;'
    name:         'Minimum Length'
    index:        8
  - numericAttribute: '&IDA_WholeNumber;'
    name:         'Whole Number'
    decimalPositions: 0
    index:        89

  - numericAttribute: '&IDA_MaximumValueNumeric;'
    name:         'Maximum Value'
    index:        12

  - numericAttribute: '&IDA_MinimumValueNumeric;'
    name:         'Minimum Value'
    index:        13

  - numericAttribute: '&IDA_Index;'
    name:         'Index'
    index:        18

  - numericAttribute: '&IDA_ValueNumeric;'
    name:         'Value'
    index:        27

  - numericAttribute: '&IDA_PrimaryOperandValue;'
    name:         'Primary Operand Value'
    index:        63

  - numericAttribute: '&IDA_SecondaryOperandValue;'
    name:         'Secondary Operand Value'
    index:        64